<?php

namespace App\Services\Interfaces;

use App\Models\Room;
use Illuminate\Http\Request;

interface RoomRepositoryInterface
{
    public function get(Request $request);
    public function getItem(Room $room);
    public function save(Request $request, ?Room $room): Room;
    public function destroy(Request $request, int $id): array;
    public function destroyAll(Request $request): array;
    public function restore(Request $request, int $id): array;
    public function restoreAll(Request $request): array;
}
